<div class="move-out-tenant">
  <app-content-banner [isDashboard]="false" pageName="Move Out Tenant"></app-content-banner>
  <!-- <app-placement-outcome [referralType] = "referralType" [moveOutTenant] = "true"></app-placement-outcome> -->
  <mat-card class="mo-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <mat-expansion-panel expanded='panelExpanded'>
        <mat-expansion-panel-header>
          <mat-panel-title (click)="onExpansionPanelToggle()">
            <mat-icon>{{panelExpanded  ? 'indeterminate_check_box' : 'add_box' }}</mat-icon>
            <span><u>{{panelExpanded  ? 'Hide Details' : 'Show Details' }}</u></span>
          </mat-panel-title>
        </mat-expansion-panel-header>
        <section>
          <p class="banner-header">Client Details:</p>
          <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px" class="banner-details">
            <span class="details-text"><b>First Name: </b>
              <span>{{existingPlacementOutcome ? existingPlacementOutcome.firstName : ''}}</span>
            </span>
            <span class="details-text"><b>Last Name: </b>
              <span>{{existingPlacementOutcome ? existingPlacementOutcome.lastName : ''}}</span>
            </span>
            <span class="details-text"><b>SSN: </b>
              <span>XXX-XX-{{(existingPlacementOutcome && existingPlacementOutcome.ssn) ? existingPlacementOutcome.ssn.substr(5,4) : ''}}</span>
            </span>
            <span *ngIf="referralType == 525 || referralType == 526" class="details-text"><b>HRA Client ID: </b>
              <span>{{existingPlacementOutcome ? existingPlacementOutcome.clientID : ''}}</span>
            </span>
            <span class="details-text"><b>DOB: </b>
              <span>{{existingPlacementOutcome ? existingPlacementOutcome.dob : ''}}</span>
            </span>
            <span *ngIf="referralType == 610" class="details-text"><b>Gender: </b>
              <span>{{existingPlacementOutcome ? existingPlacementOutcome.gender : ''}}</span>
            </span>
          </div>
          <p *ngIf="referralType==525 || referralType==526" class="banner-header">Referral Details:</p>
          <div *ngIf="referralType==525 || referralType==526" fxLayout="column" fxLayoutGap="5px"
            class="banner-details">
            <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
              <div class="details-text"><b>ReferringAgency: </b>
                <span>{{trSelected ?
                        ((trSelected.raAgencyID && trSelected.raSiteID) ?
                          (trSelected.raAgencyNo + ' - ' + trSelected.raAgencyName + ' / ' + trSelected.raSiteNo + ' - ' + trSelected.raSiteName)
                          : ''
                        )
                        : ''
                      }}
                </span>
              </div>
              <div class="details-text"><b>Eligibility: </b>
                <span>{{existingPlacementOutcome ? existingPlacementOutcome.eligibility : ''}}</span>
              </div>
            </div>
            <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
              <div class="details-text"><b>Referal Date: </b>
                <span>{{existingPlacementOutcome ? existingPlacementOutcome.referralDate : '' | date:'MM/dd/yyyy'}}</span>
              </div>
              <div class="details-text"><b>Placement Criteria: </b>
                <span>{{existingPlacementOutcome ? existingPlacementOutcome.placementCriteria : ''}}</span>
              </div>
            </div>
            <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
              <div class="details-text"><b>Prioritization: </b>
                <span>{{existingPlacementOutcome ? existingPlacementOutcome.svaPrioritization : ''}}</span>
              </div>
              <div class="details-text"><b>ServiceNeeds: </b>
                <span>{{existingPlacementOutcome ? existingPlacementOutcome.serviceNeeds : ''}}</span>
              </div>
            </div>
          </div>
          <p class="banner-header">Housing Agency/Site Details:</p>
          <div fxLayout="column" fxLayoutGap="5px" class="banner-details">
            <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
              <div class="details-text"><b>Agency Name: </b>
                <span>{{trSelected ? (trSelected.hpAgencyNo + ' - ' + trSelected.hpAgencyName) : ''}}</span>
              </div>
              <div class="details-text"><b>Site Name: </b>
                <span>{{trSelected ? (trSelected.hpSiteNo + ' - ' + trSelected.hpSiteName) : ''}}</span>
              </div>
              <div class="details-text"><b>Unit#: </b>
                <span>{{trSelected ? trSelected.unitName : ''}}</span>
              </div>
              <!-- <div *ngIf="(referralType == 526 || referralType == 610)" class="stats"><b>Primary Service Contract Type: </b><span>{{trSelected.agreementTypeDescription}}</span></div> -->
              <!-- <div *ngIf="(referralType == 526 || referralType == 610)" class="details-text"><b>Site Type: </b><span>{{trSelected.siteLocationTypeDescription}}</span></div> -->
            </div>
            <div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
              <div *ngIf="referralType == 525" class="details-text"><b>Site Address:
                </b><span>{{trSelected ? trSelected.siteAddress : ''}}</span>
              </div>
              <div class="details-text"><b>Primary Service Contract Type: </b>
                <span>{{trSelected ? trSelected.agreementTypeDescription : ''}}</span>
              </div>
              <div *ngIf="referralType==525" class="details-text"><b></b><span></span></div>
            </div>
          </div>
        </section>
      </mat-expansion-panel>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
        <!-- Move Out Tab -->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Move Out</span>
          </ng-template>
          <div class="example-small-box mat-elevation-z4" fxLayout="column" fxLayoutAlign="start">
            <form [formGroup]="moveOutTenantGroup">
              <section class="form-section regular-mat-form-field" fxLayout="column">
                <div class="interviewOutcomeForm">
                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="blue-label">Move In-Date: </mat-label>
                    <mat-form-field appearance="outline">
                      <input matInput placeholder="{{this.trSelected.moveInDate}}" readonly disabled>
                    </mat-form-field>
                  </div>
                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Move Out-Date: </mat-label>
                    <mat-form-field appearance="outline">
                      <input matInput [matDatepicker]="moveOutDatePicker" formControlName="moveOutDateCtrl" dateOnly
                        placeholder="MM/DD/YYYY" (dateChange)="onMoveOutDateSelected()" required>
                      <mat-datepicker-toggle matSuffix [for]="moveOutDatePicker"></mat-datepicker-toggle>
                      <mat-datepicker #moveOutDatePicker></mat-datepicker>
                    </mat-form-field>
                  </div>
                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Reason Moved: </mat-label>
                    <mat-form-field appearance="outline">
                      <mat-select formControlName="reasonMovedCtrl" placeholder="Select">
                        <mat-option [value]="0">Select</mat-option>
                        <mat-option *ngFor="let reason of moveOutReasonType" [value]="reason.refGroupDetailID">
                          {{ reason.refGroupDetailDescription }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>
                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Location Move To: </mat-label>
                    <mat-form-field appearance="outline">
                      <mat-select formControlName="locationMoveToCtrl" placeholder="Select">
                        <mat-option [value]="0">Select</mat-option>
                        <mat-option *ngFor="let location of moveOutLocationType" [value]="location.refGroupDetailID">
                          {{ location.refGroupDetailDescription }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>
                  <div *ngIf="moveOutTenantGroup.get('locationMoveToCtrl').value == 622" fxLayout="row"
                    fxLayoutGap="10px">
                    <mat-label class="required-label-color">Agency Moved To: </mat-label>
                    <mat-form-field appearance="outline">
                      <mat-select formControlName="agencyMovedToCtrl" placeholder="Select">
                        <mat-option [value]="0">Select</mat-option>
                        <mat-option *ngFor="let agency of hpAgenciesWithTrackedSites" [value]="agency.agencyID">
                          {{ agency.agencyNo + ' - ' + agency.agencyName }}
                        </mat-option>
                        <mat-option [value]="-2">Other</mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>
                  <div *ngIf="moveOutTenantGroup.get('agencyMovedToCtrl').value == -2" fxLayout="row"
                    fxLayoutGap="10px">
                    <mat-label class="required-label-color">Specify: </mat-label>
                    <mat-form-field appearance="outline">
                      <textarea matInput formControlName="agencyMovedToOtherSpecifyCtrl"
                        placeholder="Specify Comments here..." rows="4"></textarea>
                    </mat-form-field>
                  </div>
                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Move-Out Type: </mat-label>
                    <mat-form-field appearance="outline">
                      <mat-select formControlName="moveOutTypeCtrl" placeholder="Select">
                        <mat-option [value]="0">Select</mat-option>
                        <mat-option *ngFor="let moType of moveOutType" [value]="moType.refGroupDetailID">
                          {{ moType.refGroupDetailDescription }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>

                  <div *ngIf="trSelected.siteTrackedType == 33 && trSelected.unitID > 0" fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Unit Status: </mat-label>
                    <mat-form-field appearance="outline">
                      <mat-select formControlName="unitStatusTypeCtrl" placeholder="Select">
                        <mat-option [value]="0">Select</mat-option>
                        <mat-option *ngFor="let unitStatus of unitStatusType" [value]="unitStatus.refGroupDetailID">
                          {{ unitStatus.refGroupDetailDescription }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>
                  <div *ngIf="moveOutTenantGroup.get('unitStatusTypeCtrl').value == 472" fxLayout="row"
                    fxLayout.lt-md="column" fxLayoutGap="10px">
                    <div fxLayout="row" fxLayoutGap="10px">
                      <mat-label class="blue-label">Unit Type: </mat-label>
                      <mat-form-field appearance="outline">
                        <input matInput placeholder="{{this.trSelected.unitTypeDescription}}" readonly disabled>
                      </mat-form-field>
                    </div>
                    <label class='required-label-color'>Please go to Agency/Site/Unit setup to update Unit details and
                      schedule for this unit.</label>
                  </div>
                  <div *ngIf="moveOutTenantGroup.get('unitStatusTypeCtrl').value == 472" fxLayout="row"
                    fxLayout.lt-md="column" fxLayoutGap="10px">
                    <div fxLayout="row" fxLayoutGap="10px">
                      <mat-label class="blue-label">Unit Features: </mat-label>
                      <mat-form-field appearance="outline">
                        <input matInput placeholder="{{this.trSelected.unitFeatures}}" readonly disabled>
                      </mat-form-field>
                    </div>
                    <label class='required-label-color'>Please go to Agency/Site/Unit setup to update Unit details and
                      schedule for this unit.</label>
                  </div>
                  <div *ngIf="moveOutTenantGroup.get('unitStatusTypeCtrl').value == 473" fxLayout="row"
                    fxLayoutGap="10px">
                    <mat-label class="required-label-color">Reason Offline: </mat-label>
                    <mat-form-field appearance="outline">
                      <mat-select formControlName="reasonOfflineCtrl" placeholder="Select">
                        <mat-option [value]="0">Select</mat-option>
                        <mat-option *ngFor="let unitOffline of unitOfflineReasons"
                          [value]="unitOffline.unitOfflineReasonID">
                          {{ unitOffline.unitOfflineReasonDescription}}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                  </div>
                  <div *ngIf="moveOutTenantGroup.get('reasonOfflineCtrl').value == 6" fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="required-label-color">Offline Other Specify: </mat-label>
                    <mat-form-field appearance="outline">
                      <textarea matInput formControlName="reasonOfflineOtherSpecifyCtrl"
                        placeholder="Specify Comments here..." rows="4"></textarea>
                    </mat-form-field>
                  </div>
                  <div *ngIf="moveOutTenantGroup.get('unitStatusTypeCtrl').value == 473" fxLayout="row"
                    fxLayoutGap="10px">
                    <mat-label class="required-label-color">Expected Available Date: </mat-label>
                    <mat-form-field appearance="outline">
                      <input matInput [matDatepicker]="expectedAvailableDatePicker"
                        formControlName="expectedAvailableDateCtrl" (dateChange)="onExpectedAvailableDateSelected()"
                        dateOnly placeholder="MM/DD/YYYY" required>
                      <mat-datepicker-toggle matSuffix [for]="expectedAvailableDatePicker"></mat-datepicker-toggle>
                      <mat-datepicker #expectedAvailableDatePicker></mat-datepicker>
                    </mat-form-field>
                  </div>
                  <div fxLayout="row" fxLayoutGap="10px">
                    <mat-label class="blue-label">Comments: </mat-label>
                    <mat-form-field appearance="outline">
                      <textarea matInput formControlName="moveOutCommentsCtrl" placeholder="Enter Comments here..."
                        rows="4"></textarea>
                    </mat-form-field>
                  </div>
                </div>
              </section>
            </form>
          </div>
        </mat-tab>
      </mat-tab-group>
      <div class="btn-section mat-elevation-z4" fxLayout="row">
        <span style="width: 300px;" fxFlex="wrap" fxLayoutGap="10px" fxLayoutAlign="end">
          <button type="button" (click)="onMoveOut()" mat-raised-button color="primary">Transmit</button>
          <button type="button" (click)="onExitClick()" mat-raised-button color="primary">Exit</button>
        </span>
      </div>
    </mat-card-content>
  </mat-card>

</div>
